Get all
curl --request GET \
--url https://api.streamskill.pro/v1/purchases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamskill.pro/v1/purchases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamskill.pro/v1/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"price": 10,
"currency": "usd",
"created_at": 1640000000,
"order_type": "twitch_viewers",
"channel": "https://www.twitch.tv/twitch",
"status": "active",
"service": "twitch",
"parent": false,
"api": true,
"chatbot": false,
"tarif": 1
}
]{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401,
"type": "unauthorized_http_exception"
}Purchases
Get all
GET
/
purchases
Get all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The language of the response
Available options:
en, ru Query Parameters
The page number to return
Required range:
x >= 1The number of items to return per page
Required range:
1 <= x <= 100The expand of the purchase (you can use multiple values separated by commas)
Available options:
tarif, parent, api, chatbot Example:
"tarif,parent"
Response
OK
The ID of the purchase
Required range:
x >= 1Example:
1
The price of the purchase
Example:
10
Available options:
usd, rub Example:
"usd"
The timestamp of the purchase creation
Example:
1640000000
The type of the order
Example:
"twitch_viewers"
The channel (or another slug for tarif, for example - video id, clip id, etc.)
Example:
"https://www.twitch.tv/twitch"
The status of the purchase
Available options:
created, awaiting, working, stopped, completed, failed, deleted, refunded Example:
"active"
The service of the purchase
Available options:
twitch, trovo, kick, youtube Example:
"twitch"
The parent of the purchase
The API of the purchase
Example:
true
The chatbot of the purchase
The ID of the tarif
Required range:
x >= 1Example:
1